Loading...
Searching...
No Matches
sensors::NumericSensor::ThresholdCapabilities Struct Reference

Threshold capabilities. More...

`import <NumericSensor.idl;`

## Public Attributes

boolean | hasUpperCritical
| Sensor has upper critical threshold.
boolean | hasUpperWarning
| Sensor has upper warning threshold.
boolean | hasLowerWarning
| Sensor has lower warning threshold.
boolean | hasLowerCritical
| Sensor has lower critical threshold.

## Detailed Description

Threshold capabilities.

Definition at line 32 of file NumericSensor.idl.

## Member Data Documentation

## hasLowerCritical

boolean sensors::NumericSensor::ThresholdCapabilities::hasLowerCritical

Sensor has lower critical threshold.

Definition at line 36 of file NumericSensor.idl.

## hasLowerWarning

boolean sensors::NumericSensor::ThresholdCapabilities::hasLowerWarning

Sensor has lower warning threshold.

Definition at line 35 of file NumericSensor.idl.

## hasUpperCritical

boolean sensors::NumericSensor::ThresholdCapabilities::hasUpperCritical

Sensor has upper critical threshold.

Definition at line 33 of file NumericSensor.idl.

## hasUpperWarning

boolean sensors::NumericSensor::ThresholdCapabilities::hasUpperWarning

Sensor has upper warning threshold.

Definition at line 34 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl